DNF5-UPGRADE(8)

NAME
dnf5-upgrade - Upgrade Command

SYNOPSIS

dnf5 upgrade [options] [<package-spec-NPFB>|@<group-spec>|@<environment-spec>...]

DESCRIPTION

The upgrade command in DNF5 is used for upgrading installed packages, groups or environments to newer available version.

Since groups and environments are not versioned the upgrade basically means a synchronization with the currently available definition. In addition group upgrade also upgrades all packages the group contains and environment upgrade also upgrades all groups the environment contains.

OPTIONS

    --minimal
        Upgrade packages only to the lowest available versions that fix advisories of type bugfix, enhancement, security, or
        newpackage. In case that any option limiting advisories is used it upgrades packages only to the lowest versions
        that fix advisories matching selected advisory properties

    --allowerasing
        Allow removing of installed packages to resolve any potential dependency problems.

    --skip-unavailable
        Allow skipping packages that are not possible to upgrade. All remaining packages will be upgraded.

    --allow-downgrade
        Enable downgrade of dependencies when resolving the requested operation.

    --no-allow-downgrade
        Disable downgrade of dependencies when resolving the requested operation.

    --destdir=<path>
        Set directory used for downloading packages to. Default location is to the current working directory.
        Automatically sets the downloadonly option.

    --installed-from-repo=REPO_ID,...
        Filters installed packages by the ID of the repository they were installed from.

    --from-repo=REPO_ID,...
        Packages (or their provides) explicitly specified on the command line will only be looked up in the specified repositories.
        These repositories are automatically enabled.
        Repository enabling and disabling still applies. Dependencies of these packages will be resolved from any enabled repository.

    --from-vendor=VENDOR,...
        List of vendors separated by commas or spaces. Globs are supported (e.g., --from-vendor='Fedora\ project, vendorA, vendorB*, vendorC').
        Packages (or their provides) explicitly specified on the command line will only be looked up from the specified vendors.
        The vendor change check is bypassed for these packages.
        The vendor is ignored or vendor change policies (if allow_vendor_change=0) will still be used for packages that satisfy dependencies.

    --downloadonly
        Only download packages for transaction.

    --offline
        Store the transaction to be performed offline. See offline command <#offline-command-ref-label>, dnf5-offline(8).

    --store=PATH
        Store the current transaction in a directory at the specified PATH instead of running it.
        The stored transaction can be performed by the replay command <#replay-command-ref-label>, dnf5-replay(8).
        Note that repository ids in the stored transaction are mangled to @stored_transaction(repo_id) this is required
        because during replaying the stored repositories are recreated and they might collide with already present repositories
        (this doesn't apply to the special @System repository).

    --advisories=ADVISORY_NAME,...
        Include content contained in advisories with specified name.
        This is a list option.
        Expected values are advisory IDs, e.g. FEDORA-2201-123.
        Any transaction command (install, upgrade) will fail with an error if there is no existing advisory in the list; this can be bypassed by using the --skip-unavailable switch.

    --advisory-severities=ADVISORY_SEVERITY,...
        Include content contained in advisories with specified severity.
        This is a list option.
        Accepted values are: critical, important, moderate, low, none.

    --bzs=BUGZILLA_ID,...
        Include content contained in advisories that fix a ticket of the given Bugzilla ID.
        This is a list option.
        Expected values are numeric IDs, e.g. 123123.
        Any transaction command (install, upgrade) will fail with an error if there is no advisory fixing the given ticket; this can be bypassed by using the --skip-unavailable switch.

    --cves=CVE_ID,...
        Include content contained in advisories that fix a ticket of the given CVE (Common Vulnerabilities and Exposures) ID.
        This is a list option.
        Expected values are string IDs in CVE format, e.g. CVE-2201-0123.
        Any transaction command (install, upgrade) will fail with an error if there is no advisory fixing the given ticket; this can be bypassed by using the --skip-unavailable switch.

    --security
        Include content contained in security advisories.

    --bugfix
        Include content contained in bugfix advisories.

    --enhancement
        Include content contained in enhancement advisories.

    --newpackage
        Include content contained in newpackage advisories.

EXAMPLES

    dnf5 upgrade
        Upgrade all installed packages to the newest available version.

    dnf5 upgrade tito
        Upgrade the tito package.

SEE ALSO
        dnf5-advisory(8), Advisory command <#advisory-command-ref-label>
        dnf5-specs(7), Patterns specification <#specs-misc-ref-label>

Author
See AUTHORS.md in dnf5 source distribution.

Copyright
Contributors to the dnf5 project.